Subject: Re: 30.0.90; editorconfig doesn't set tab_width to a default value

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Aug 2024 15:25:56 -0400

> when a .editorconfig file assigns a value for "indent_size" and no
> value for "tab_width", I expect "tab_width" to default to the value of
> "indent_size" as described in the documentation [1]. Unfortunately,

Yes, I consciously disagreed with the standard here.  IMO, this better
reflects Emacs's habitual behavior, so it makes more sense for Emacs users.

> Possible workarounds:
>
> 1. One can use MELPA's version of editorconfig instead of the builtin
>    one; or
> 2. One can explicitly set "tab_width" in .editorconfig

Indeed, you can already get the "missing" behavior  by setting
`indent_size` to `tab` and then setting `tab_width` to the desired
indentation size.